# Uses of Class
org.springframework.mock.web.MockHttpServletRequest

Packages that use MockHttpServletRequest
Package
Description
org.springframework.mock.web
A comprehensive set of Servlet API 6.0 mock objects, targeted at usage with Spring's Web MVC framework.
org.springframework.test.web.servlet
Contains server-side support for testing Spring MVC applications.
org.springframework.test.web.servlet.assertj
AssertJ support for MockMvc.
org.springframework.test.web.servlet.request
Contains built-in `RequestBuilder` implementations.
org.springframework.test.web.servlet.result
Contains built-in `ResultMatcher` and `ResultHandler` implementations.

## Uses of MockHttpServletRequest in org.springframework.mock.web

Subclasses of MockHttpServletRequest in org.springframework.mock.web
Modifier and Type
Class
Description
`class`
`MockMultipartHttpServletRequest`
Mock implementation of the `MultipartHttpServletRequest` interface.

## Uses of MockHttpServletRequest in org.springframework.test.web.servlet

Methods in org.springframework.test.web.servlet that return MockHttpServletRequest
Modifier and Type
Method
Description
`MockHttpServletRequest`
RequestBuilder.`buildRequest(ServletContext servletContext)`
Build the request.
`MockHttpServletRequest`
MvcResult.`getRequest()`
Return the performed request.
`MockHttpServletRequest`
SmartRequestBuilder.`postProcessRequest(MockHttpServletRequest request)`
Apply request post-processing.
Methods in org.springframework.test.web.servlet with parameters of type MockHttpServletRequest
Modifier and Type
Method
Description
`MockHttpServletRequest`
SmartRequestBuilder.`postProcessRequest(MockHttpServletRequest request)`
Apply request post-processing.

## Uses of MockHttpServletRequest in org.springframework.test.web.servlet.assertj

Methods in org.springframework.test.web.servlet.assertj that return MockHttpServletRequest
Modifier and Type
Method
Description
`default MockHttpServletRequest`
MvcTestResult.`getRequest()`
Return the performed request.
Constructors in org.springframework.test.web.servlet.assertj with parameters of type MockHttpServletRequest
Modifier
Constructor
Description
`protected`
`AbstractMockHttpServletRequestAssert(MockHttpServletRequest request, Class<?> selfType)`

## Uses of MockHttpServletRequest in org.springframework.test.web.servlet.request

Methods in org.springframework.test.web.servlet.request that return MockHttpServletRequest
Modifier and Type
Method
Description
`final MockHttpServletRequest`
AbstractMockHttpServletRequestBuilder.`buildRequest(ServletContext servletContext)`
Build a `MockHttpServletRequest`.
`protected MockHttpServletRequest`
AbstractMockHttpServletRequestBuilder.`createServletRequest(ServletContext servletContext)`
Create a new `MockHttpServletRequest` based on the supplied `ServletContext`.
`protected final MockHttpServletRequest`
AbstractMockMultipartHttpServletRequestBuilder.`createServletRequest(ServletContext servletContext)`
Create a new `MockMultipartHttpServletRequest` based on the supplied `ServletContext` and the `MockMultipartFiles` added to this builder.
`protected final MockHttpServletRequest`
MockMultipartHttpServletRequestBuilder.`createServletRequest(ServletContext servletContext)`
Create a new `MockMultipartHttpServletRequest` based on the supplied `ServletContext` and the `MockMultipartFiles` added to this builder.
`MockHttpServletRequest`
AbstractMockHttpServletRequestBuilder.`postProcessRequest(MockHttpServletRequest request)`
`MockHttpServletRequest`
RequestPostProcessor.`postProcessRequest(MockHttpServletRequest request)`
Post-process the given `MockHttpServletRequest` after its creation and initialization through a `MockHttpServletRequestBuilder`.
Methods in org.springframework.test.web.servlet.request with parameters of type MockHttpServletRequest
Modifier and Type
Method
Description
`MockHttpServletRequest`
AbstractMockHttpServletRequestBuilder.`postProcessRequest(MockHttpServletRequest request)`
`MockHttpServletRequest`
RequestPostProcessor.`postProcessRequest(MockHttpServletRequest request)`
Post-process the given `MockHttpServletRequest` after its creation and initialization through a `MockHttpServletRequestBuilder`.

## Uses of MockHttpServletRequest in org.springframework.test.web.servlet.result

Methods in org.springframework.test.web.servlet.result with parameters of type MockHttpServletRequest
Modifier and Type
Method
Description
`protected final org.springframework.util.MultiValueMap<String,String>`
PrintingResultHandler.`getParamsMultiValueMap(MockHttpServletRequest request)`
`protected final org.springframework.http.HttpHeaders`
PrintingResultHandler.`getRequestHeaders(MockHttpServletRequest request)`
`protected final Map<String,Object>`
PrintingResultHandler.`getSessionAttributes(MockHttpServletRequest request)`
`protected void`
PrintingResultHandler.`printRequest(MockHttpServletRequest request)`
Print the request.